> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorlake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Processes

> List the processes tracked inside a sandbox through the sandbox proxy.

List the processes tracked inside a sandbox.

## Endpoint

```http theme={null}
GET /api/v1/processes
```

## Example Request

```bash theme={null}
curl https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/processes \
  -H "Authorization: Bearer $TENSORLAKE_API_KEY"
```

## Response

Tensorlake returns `200 OK`:

```json theme={null}
{
  "processes": [
    {
      "handle": 1,
      "pid": 42,
      "status": "running",
      "exit_code": null,
      "signal": null,
      "stdin_writable": false,
      "command": "python",
      "args": ["-m", "http.server", "8080"],
      "started_at": 1710000000000,
      "ended_at": null
    }
  ]
}
```

`status` is one of `running`, `exited`, `signaled`, or `oom_killed`. `handle` is a daemon-local stable identifier; route paths use the operating-system `pid`.


## OpenAPI

````yaml get /api/v1/processes
openapi: 3.1.0
info:
  title: Tensorlake API
  description: >-
    Tensorlake Cloud APIs for Sandboxes, Document Ingestion, and Serverless
    Workflows
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.tensorlake.ai/
security:
  - bearerAuth: []
tags:
  - name: Tensorlake Cloud API
    description: >-
      Tensorlake Cloud APIs for Sandboxes, Document Ingestion, and Serverless
      Workflows
paths:
  /api/v1/processes:
    servers:
      - url: https://{identifier}.sandbox.tensorlake.ai
        description: >-
          Example sandbox proxy host for a specific running sandbox. For
          programmatic access, use the sandbox's `ingress_endpoint`.
        variables:
          identifier:
            default: example-sandbox
            description: The sandbox ID or sandbox name.
    get:
      tags:
        - sandbox-processes
      summary: List processes
      description: List the processes tracked inside a sandbox through the sandbox proxy.
      operationId: sandbox_process_list
      responses:
        '200':
          description: List of processes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxProcessListResponse'
components:
  schemas:
    SandboxProcessListResponse:
      type: object
      required:
        - processes
      properties:
        processes:
          type: array
          items:
            $ref: '#/components/schemas/SandboxProcessInfo'
    SandboxProcessInfo:
      type: object
      required:
        - handle
        - pid
        - status
        - stdin_writable
        - command
        - args
        - started_at
      properties:
        handle:
          type: integer
          format: int64
        pid:
          type: integer
          format: int32
        status:
          $ref: '#/components/schemas/SandboxProcessStatus'
        exit_code:
          type:
            - integer
            - 'null'
          format: int32
        signal:
          type:
            - integer
            - 'null'
          format: int32
        stdin_writable:
          type: boolean
        command:
          type: string
        args:
          type: array
          items:
            type: string
        started_at:
          type: integer
          format: int64
        ended_at:
          type:
            - integer
            - 'null'
          format: int64
    SandboxProcessStatus:
      type: string
      enum:
        - running
        - exited
        - signaled
        - oom_killed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````